Subject: RE: gcc-2.95.2-2 build problem (src tar ball problem?)
From: "Mark Van De Vyver" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: <[email-masked]>, "Craveiro, Marco" <[email-masked]>
Date: Fri, 14 Jul 2000 18:28:24 +0800

Niels (Marco see below if this doesn't interest you),

Thanks for the tip, I had tried that without any luck.  So I must be doing
something else wrong or my set up is wrong?

as a check this is what I'm doing and getting:

actually I've created common/liberty just about everywhere (they are not
mounted - matters?)

/common/libiberty
/src/common/libiberty
/src/gcc-2.95.2-2/common/libiberty
/usr/common/libiberty  (!)

(a check that the dir is there)
/src $ ls ../common/libiberty
seeme.txt

and the unpack still fails???

/src $ tar xzf gcc-2.95.2-2-src.tar.gz
tar: gcc-2.95.2-2/libiberty: Could not create symlink to
`../common/libiberty':
Function not implemented
tar: Error exit delayed from previous errors

?????????

Marco,
From memory, I had the same or very similar problem with 2.95.2 but since I
was building after applying two patches I thought that might be the cause,
and so thought to try and build the latest 2.95.2-2 - which is where I'm at.

Cheers
Mark

-----Original Message-----
From: Craveiro, Marco [mailto:[email-masked]]
Sent: Friday, July 14, 2000 4:20 PM
To: 'Mark Van De Vyver'; Cygwin
Subject: RE: gcc-2.95.2-2 build problem (src tar ball problem?)

hello everyone,

i'm also trying to build gcc (but i've got gcc-2.95.2) and, after a *lot* of
fiddling, i'm stuck with a problem similar to Mark's. the output is

../../gcc/libgcc2.c:41: stdlib.h: No such file or directory
../../gcc/libgcc2.c:42: unistd.h: No such file or directory
make[2]: *** [libgcc2.a] Error 1
make[1]: *** [bootstrap-lean] Error 2
make: *** [bootstrap-lean] Error 2

i'm building with egcs-2.91.57.

__soup_dragon__

"Ostinato rigore."
Leonardo Da Vinci

--
Want to unsubscribe from this list?
Send a message to [email-masked]